- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SocketSender Class Reference

Inheritance diagram for SocketSender:

List of all members.

## Detailed Description

Definition at line 156 of file socketft.h.

## Public Member Functions
| SocketSender (Socket &s)
| ~SocketSender ()
bool | MustWaitForResult ()
bool | MustWaitForEof ()
bool | EofSent ()
void | Send (const byte *buf, size_t bufLen)
unsigned int | GetSendResult ()
void | SendEof ()
unsigned int | GetMaxWaitObjectCount () const
| maximum number of wait objects that this object can return
void | GetWaitObjects (WaitObjectContainer &container, CallStack const &callStack)
| put wait objects into container
virtual bool | MustWaitToSend ()
bool | Wait (unsigned long milliseconds, CallStack const &callStack)
| wait on this object

## Member Function Documentation

void SocketSender::GetWaitObjects | ( | WaitObjectContainer & | container,
|  | CallStack const & | callStack |
| ) |  |  | `[virtual]`

put wait objects into container

Parameters:

  | callStack | is used for tracing no wait loops, example: something.GetWaitObjects(c, CallStack("my func after X", 0)); or in an outer GetWaitObjects() method that itself takes a callStack parameter: innerThing.GetWaitObjects(c, CallStack("MyClass::GetWaitObjects at X", &callStack));

Implements Waitable.

Definition at line 454 of file socketft.cpp.

References WaitObjectContainer::AddHandle(), and WaitObjectContainer::SetNoWait().

bool Waitable::Wait | ( | unsigned long | milliseconds,
|  | CallStack const & | callStack |
| ) |  |  | `[inherited]`

wait on this object

same as creating an empty container, calling GetWaitObjects(), and calling Wait() on the container

Definition at line 388 of file wait.cpp.

References Waitable::GetWaitObjects(), and WaitObjectContainer::Wait().

Referenced by NetworkSink::DoFlush(), and NetworkSource::DoPump().

The documentation for this class was generated from the following files:

- socketft.h
- socketft.cpp